stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan.Analysis.Analyser

Description

Analysing functions by `InspectionAnalysis` for the corresponding `Inspection`.

Synopsis

- analyseAst :: HieFile -> ExtensionsResult -> [Inspection] -> Observations

# Documentation

analyseAst :: HieFile -> ExtensionsResult -> [Inspection] -> Observations #

Analyses the whole AST starting from the very top.